Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.factory
Class AbstractOwlProjectCreator

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator

Direct Known Subclasses:
  AbstractOwlDatabaseCreator, NewOwlProjectCreator, OwlProjectFromReaderCreator, OwlProjectFromStreamCreator, OwlProjectFromUriCreator

    public abstract class AbstractOwlProjectCreator

extends Object

Field Summary
`protected OWLKnowledgeBaseFactory` | `factory`

Constructor Summary
`AbstractOwlProjectCreator(OWLKnowledgeBaseFactory factory)`

Method Summary
`protected void` | `addViewSettings(edu.stanford.smi.protege.util.PropertyList sources)`
`abstract void` | `create(Collection errors)`
`OWLKnowledgeBaseFactory` | `getFactory()`
`abstract OWLModel` | `getOwlModel()`
`abstract edu.stanford.smi.protege.model.Project` | `getProject()`
`Collection<Repository>` | `getRepositories()`
`protected void` | `insertRepositoriesIntoOwlModel(OWLModel owlModel)`
`void` | `setDefaultClassView(Class defaultClassView)`
`void` | `setProfileURI(String profileURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected OWLKnowledgeBaseFactory factory

Constructor Detail

### AbstractOwlProjectCreator

    public AbstractOwlProjectCreator(OWLKnowledgeBaseFactory factory)

Method Detail

### create

    public abstract void create(Collection errors)
                         throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### getOwlModel

    public abstract OWLModel getOwlModel()

### getProject

    public abstract edu.stanford.smi.protege.model.Project getProject()

### addViewSettings

    protected void addViewSettings(edu.stanford.smi.protege.util.PropertyList sources)

### insertRepositoriesIntoOwlModel

    protected void insertRepositoriesIntoOwlModel(OWLModel owlModel)

### setDefaultClassView

    public void setDefaultClassView(Class defaultClassView)

### setProfileURI

    public void setProfileURI(String profileURI)

### getRepositories

    public Collection<Repository> getRepositories()

### getFactory

    public OWLKnowledgeBaseFactory getFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.